# Method: locations.updateBusinesscallssettings

- [HTTP request](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/updateBusinesscallssettings#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/updateBusinesscallssettings#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/updateBusinesscallssettings#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/updateBusinesscallssettings#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/updateBusinesscallssettings#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/updateBusinesscallssettings#body.aspect)

Updates the Business call settings for the specified location.

### HTTP request

`PATCH https://mybusinessbusinesscalls.googleapis.com/v1/{businessCallsSettings.name=locations/*/businesscallssettings}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `businessCallsSettings.name` | `string` Required. The resource name of the calls settings. Format: locations/{location}/businesscallssettings |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/businesscalls/rest/v1/BusinessCallsSettings`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/businesscalls/rest/v1/BusinessCallsSettings`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).